Issue 26449 - Update mail system: Add procmail functionality.
Summary: Update mail system: Add procmail functionality.
Status: CLOSED DUPLICATE of issue 18731
Alias: None
Product: Infrastructure
Classification: Infrastructure
Component: Website general issues (show other issues)
Version: current
Hardware: Sun All
: P3 Trivial with 20 votes (vote)
Target Milestone: ---
Assignee: Unknown
QA Contact: issues@www
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2004-03-14 03:58 UTC by dcarrera
Modified: 2008-05-17 23:28 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description dcarrera 2004-03-14 03:58:23 UTC
The current mail system is inadequate for the users list.

The users list serves as the community-based support system.  We are currently
overwhelmed with emails from users who are not subscribed to the list.  As a
consequence, whenever one of the list members replies to the email, the reply
only reaches the list.  It never reaches the original poster who needed help.

What a lot of list members have had to do is manually read the headers of
in-comming emails to see which ones have been moderated.  This significantly
adds to our workload.

I think that the mail system should be updated to include procmail.  With
procmail we could alter moderated emails like this:

  *  Prepend the text '[moderated]' to the subject line.
  *  Add the user's email to the Reply-To field, so that the when a list member
     hits "reply", the original poster actually receives the response.

As OpenOffice grows in popularity, the number of messages we receive at the
users list is only going to increase.  We are already barely managing the
current volume.  Making these changes to the mail system are imperative for the
long-term viability of this commuity-based support list.

Cheers,
Daniel.

OpenOffice.org users-list member.
Comment 1 lsuarezpotts 2004-03-14 04:08:22 UTC
Hi
Routing to support for evaluation.
Support, please add this to the stack of suggestions relating to mail in SourceCast. 
thanks
Louis 
Comment 2 wolfepak 2004-03-14 05:28:37 UTC
*** Issue 26449 has been confirmed by votes. ***
Comment 3 lduperval 2004-03-14 15:15:11 UTC
Issue 18731 was already created for the Reply-to part.
Comment 4 leggewie 2004-03-14 15:54:22 UTC
Please be aware that users of gmane.org usually do not reply (SMTP) but post a
follow-up (NNTP).

All this should not require any user intervention at all and should be handled
at server level (the server does the cc, not the user).  This is how I think it
should be done.

1) to-be-moderated mail comes in
2) CollabNET server adds [MOD: $ID] to the subject
3) CollabNET servers extracts senders address and stores the $ID-$Sender
   relation in some database.
4) response comes in to ML address
5) CollabNET server checks whether the headers have a matching line for
   {^Subject\ :\[MOD\:\ $REGEXP_FOR_$ID\]} returning the value for
   $REGEXP_FOR_$ID.
6) CollabNET server looks in its database for the matching $Sender.
7) CollabNET server sends mail both to the list and to $Sender.

Doing it this way has some very significant advantages:

a) The user (and possibly new contributors) does not have to worry about
   all this, as it should be.
b) The person asking for help receives ALL answers, not just direct
   responses.


Comment 5 Unknown 2004-03-15 11:51:53 UTC
Closing this as duplicate of issue 18731.

*** This issue has been marked as a duplicate of 18731 ***
Comment 6 stx123 2004-03-22 16:10:19 UTC
For technical reasons we have to move the issue to another subcomponent tan 'www'.
Sorry for bothering you with this generated notification message. There is no
need for any action from yor side.
Thanks for your understanding, Stefan
Comment 7 ace_dent 2008-05-17 21:25:17 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 ace_dent 2008-05-17 23:28:35 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew